package com.kcim.common.enums;

/**
 * @program: CostAccount
 * @description: 自定义sql枚举类
 * @author: Wang.YS
 * @create: 2024-07-30 15:20
 **/
public enum CustomSqlTypeEnum {
    /**
     * 检查数据异常
     */
    CHECK_DATA_EXCEPTION("CHECK_DATA_EXCEPTION","检查数据异常"),
    /**
     * 收入归集
     */
    INCOME_COLLECTION("INCOME_COLLECTION","收入归集"),
    /**
     * 药材成本计算
     */
    DRG_COST_CALC("DRG_COST_CALC","药材成本计算"),
    /**
     * 患者项目成本计算
     */
    PT_ITEM_COST_CALC("PT_ITEM_COST_CALC","患者项目成本计算"),
    /**
     * 患者成本计算
     */
    PT_COST_CALC("PT_COST_CALC","患者成本计算"),
    /**
     * 患者标准项目成本计算
     */
    PT_STAND_ITEM_COST_CALC("PT_STAND_ITEM_COST_CALC","患者标准项目成本计算"),
    /**
     * 科室门住损益计算
     */
    INTEGRATIVE_PROFIT_CALC("INTEGRATIVE_PROFIT_CALC","科室门住损益计算"),

    /**
     * 成本分摊处理
     */
    COST_ALLOCATION_CALC("COST_ALLOCATION_CALC","成本分摊处理"),
    /**
     * 科室损益计算处理
     */
    DEPT_PROFIT_CALC("DEPT_PROFIT_CALC","科室损益计算处理"),
    /**
     * 全院损益计算处理
     */
    HOSP_PROFIT_CALC("HOSP_PROFIT_CALC","全院损益计算处理"),
    /**
     * 项目分摊参数计算-完全法
     */
    FULL_PROJECT_PARAM_CALC("FULL_PROJECT_PARAM_CALC","项目分摊参数计算-完全法"),
    /**
     * 项目成本分摊计算-完全法
     */
    FULL_PROJECT_COST_CALC("FULL_PROJECT_COST_CALC","项目成本分摊计算-完全法"),
    /**
     * 项目分摊参数计算-标准法
     */
    STAND_PROJECT_PARAM_CALC("STAND_PROJECT_PARAM_CALC","项目分摊参数计算-标准法"),
    /**
     * 项目成本分摊计算-标准法
     */
    STAND_PROJECT_COST_CALC("STAND_PROJECT_COST_CALC","项目成本分摊计算-标准法"),
    ;
    private final String code;
    private final String description;

    CustomSqlTypeEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }
}
